def render(song):
    """Render a song to HTML"""
    rendered_verses = []
    for verse in song.verses:
        rendered_lines = []
        for line in verse.lines:
            rendered_chords = []
            rendered_syllables = []
            for word_counter, word in enumerate(line.words):
                is_last_word = (word_counter + 1) == len(line.words)
                for syll_counter, syllable in enumerate(word.syllables):
                    is_last_syllable = (syll_counter + 1) == len(word.syllables)
                    rendered_chords.append('<td class="chord">{}</td>'.format(syllable.chord or ''))
                    rendered_syllables.append('<td class="syllable">{}</td>'.format(syllable.syllable + ('&nbsp;' if is_last_syllable and not is_last_word else '')))
            rendered_lines.append('<table class="line" border="0" cellpadding="0" cellspacing="0"><tr class="chords-line">{}</tr><tr class="lyrics-line">{}</tr></table>'.format(''.join(rendered_chords), ''.join(rendered_syllables)))
        rendered_verses.append('<section class="verse{}">{}</section>'.format(verse.type_ or '', '\n'.join(rendered_lines)))
    title = song.metadata.title.info or 'Song'
    body = '<section class="verse">{}</table>'.format('\n'.join(rendered_verses))
    return '<html><head><title>{}</title><style>.chord {{ text-align: center; }}</style></head><body>{}</body></html>'.format(title, body)
